Subject: inhibit-message should inhibit echo area clearing too
From: Daniel Colascione <[email-masked]>
To: [email-masked]
Date: Tue, 25 Mar 2025 14:58:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

(let ((inhibit-message t)) (message "blah")) has the effect of clearing
the echo area.  I'd expect the semantic of inhibit-message to be
preventing all visible side effects of message --- not just some
of them.